Package org.gradle.api.artifacts.component

# Interface ComponentArtifactIdentifier

public interface ComponentArtifactIdentifier
An opaque immutable identifier for an artifact that belongs to some component instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComponentIdentifier`
  `getComponentIdentifier()`
  Returns the id of the component that this artifact belongs to.
  `String`
  `getDisplayName()`
  Returns some human-consumable display name for this artifact.

- ## Method Details

  - ### getComponentIdentifier

    ComponentIdentifier getComponentIdentifier()
    Returns the id of the component that this artifact belongs to.

  - ### getDisplayName

    String getDisplayName()
    Returns some human-consumable display name for this artifact.